org.eclipse.aether.repository

## Interface LocalRepositoryManager

- All Known Implementing Classes:
    TestLocalRepositoryManager

      public interface LocalRepositoryManager

  Manages access to a local repository.
  See Also:
    `RepositorySystemSession.getLocalRepositoryManager()`, `RepositorySystem.newLocalRepositoryManager(RepositorySystemSession, LocalRepository)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(RepositorySystemSession session, LocalArtifactRegistration request)` Registers an installed or resolved artifact with the local repository.
    `void` | `add(RepositorySystemSession session, LocalMetadataRegistration request)` Registers installed or resolved metadata with the local repository.
    `LocalArtifactResult` | `find(RepositorySystemSession session, LocalArtifactRequest request)` Queries for the existence of an artifact in the local repository.
    `LocalMetadataResult` | `find(RepositorySystemSession session, LocalMetadataRequest request)` Queries for the existence of metadata in the local repository.
    `String` | `getPathForLocalArtifact(Artifact artifact)` Gets the relative path for a locally installed artifact.
    `String` | `getPathForLocalMetadata(Metadata metadata)` Gets the relative path for locally installed metadata.
    `String` | `getPathForRemoteArtifact(Artifact artifact, RemoteRepository repository, String context)` Gets the relative path for an artifact cached from a remote repository.
    `String` | `getPathForRemoteMetadata(Metadata metadata, RemoteRepository repository, String context)` Gets the relative path for metadata cached from a remote repository.
    `LocalRepository` | `getRepository()` Gets the description of the local repository being managed.

- - ### Method Detail

    - #### getRepository

          LocalRepository getRepository()

      Gets the description of the local repository being managed.
      Returns:
        The description of the local repository, never `null`.

    - #### getPathForLocalArtifact

          String getPathForLocalArtifact(Artifact artifact)

      Gets the relative path for a locally installed artifact. Note that the artifact need not actually exist yet at the returned location, the path merely indicates where the artifact would eventually be stored. The path uses the forward slash as directory separator regardless of the underlying file system.
      Parameters:
        `artifact` - The artifact for which to determine the path, must not be `null`.
      Returns:
        The path, relative to the local repository's base directory.

    - #### getPathForRemoteArtifact

          String getPathForRemoteArtifact(Artifact artifact,
                                        RemoteRepository repository,
                                        String context)

      Gets the relative path for an artifact cached from a remote repository. Note that the artifact need not actually exist yet at the returned location, the path merely indicates where the artifact would eventually be stored. The path uses the forward slash as directory separator regardless of the underlying file system.
      Parameters:
        `artifact` - The artifact for which to determine the path, must not be `null`.
        `repository` - The source repository of the artifact, must not be `null`.
        `context` - The resolution context in which the artifact is being requested, may be `null`.
      Returns:
        The path, relative to the local repository's base directory.

    - #### getPathForLocalMetadata

          String getPathForLocalMetadata(Metadata metadata)

      Gets the relative path for locally installed metadata. Note that the metadata need not actually exist yet at the returned location, the path merely indicates where the metadata would eventually be stored. The path uses the forward slash as directory separator regardless of the underlying file system.
      Parameters:
        `metadata` - The metadata for which to determine the path, must not be `null`.
      Returns:
        The path, relative to the local repository's base directory.

    - #### getPathForRemoteMetadata

          String getPathForRemoteMetadata(Metadata metadata,
                                        RemoteRepository repository,
                                        String context)

      Gets the relative path for metadata cached from a remote repository. Note that the metadata need not actually exist yet at the returned location, the path merely indicates where the metadata would eventually be stored. The path uses the forward slash as directory separator regardless of the underlying file system.
      Parameters:
        `metadata` - The metadata for which to determine the path, must not be `null`.
        `repository` - The source repository of the metadata, must not be `null`.
        `context` - The resolution context in which the metadata is being requested, may be `null`.
      Returns:
        The path, relative to the local repository's base directory.

    - #### find

          LocalArtifactResult find(RepositorySystemSession session,
                                 LocalArtifactRequest request)

      Queries for the existence of an artifact in the local repository. The request could be satisfied by a locally installed artifact or a previously downloaded artifact.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `request` - The artifact request, must not be `null`.
      Returns:
        The result of the request, never `null`.

    - #### add

          void add(RepositorySystemSession session,
                 LocalArtifactRegistration request)

      Registers an installed or resolved artifact with the local repository. Note that artifact registration is merely concerned about updating the local repository's internal state, not about actually installing the artifact or its accompanying metadata.
      Parameters:
        `session` - The repository system session during which the registration is made, must not be `null`.
        `request` - The registration request, must not be `null`.

    - #### find

          LocalMetadataResult find(RepositorySystemSession session,
                                 LocalMetadataRequest request)

      Queries for the existence of metadata in the local repository. The request could be satisfied by locally installed or previously downloaded metadata.
      Parameters:
        `session` - The repository system session during which the request is made, must not be `null`.
        `request` - The metadata request, must not be `null`.
      Returns:
        The result of the request, never `null`.

    - #### add

          void add(RepositorySystemSession session,
                 LocalMetadataRegistration request)

      Registers installed or resolved metadata with the local repository. Note that metadata registration is merely concerned about updating the local repository's internal state, not about actually installing the metadata. However, this method MUST be called after the actual install to give the repository manager the opportunity to inspect the added metadata.
      Parameters:
        `session` - The repository system session during which the registration is made, must not be `null`.
        `request` - The registration request, must not be `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.